Subject: Hydra fails to honor 'max-silent-time' for early guile build

From: Mark H Weaver <[email-masked]>
Date: Sat, 09 Dec 2017 21:02:42 -0500

An early 'guile' build on armhf-linux consistently fails on Hydra,
because the 'timeout' and 'max-silent-time' properties are not honored.
For example:

  https://hydra.gnu.org/build/2391845

This is a longstanding issue.  In past core-updates cycles, I have
worked around the problem by rebuilding these early 'guile' derivations
from Hydra's command line, passing --timeout and --max-silent-time
manually, and then restarting the many dependency failures.

It would be good to fix this issue properly.

My guess is that the build parameters are not honored because there is
no Hydra 'job' associated with this early 'guile'.

       Mark